use leptos::*;
use leptos_icons::FiIcon::FiExternalLink;
use leptos_icons::*;

#[component]
pub fn Link(
    #[prop[optional]]
    url: String,
    children: Children
) -> impl IntoView {
    view! {
        <a class="flex gap-1 font-semibold italic" href={url} target="_blank">
            { children() }
            <i class="flex items-center"><Icon icon=Icon::from(FiExternalLink) class="scale-75" /></i>
        </a>
    }
}