use leptos::*;
use leptos_icons::*;

#[component]
pub fn SocialLinkContainer(
    children: Children
) -> impl IntoView {
    view! {
        <div class="flex gap-5 justify-center flex-wrap my-5">
            { children() }
        </div>
    }
}

#[component]
pub fn SocialLink(
    children: Children,
    url: String,
    icon: Icon,
) -> impl IntoView {
    view! {
        <a href=url target="_blank">
            <Icon icon=icon class="mx-auto scale-150 mb-1" />
            <span class="text-sm">{ children() }</span>
        </a>
    }
}